 % program dla dowolnego tekstu zapisanego w pliku tekst.txt oblicza ilo
 % wyrazw, znakw, spacji
 id = fopen('tekst.txt', 'r');  % aby odczyta z pliku acuch znakw trzeba skorzysta z funkcji fopen, 
 % gdy uycie w tym przypadku funkcji load jest niemoliwe, pierwszym
 % argumentem funkcji fopen, ktra otwiera plik w Matlabie jest nazwa pliku, 
 % a drugim tryb w ktrym plik jest otwierany, w tym przypadku 'r', oznacza, e plik jest otwierany tylko do odczytu 
 % zmienna plik jest indetyfikatorem otwartego pliku
 string = fread(id,'uint8=>char')' % za pomoc funkcji fread() w zmiennej string zapisywany jest tekst zawarty w pliku
 % 'uint8=>char' - ten opcjonalny argument sprawia, e w zmiennej string
 % tekst jest zapisany w postaci liter i znakw, a nie kodw ASCII
 kody_ASCII=double(string); % funkcja double() suy do zamiany tekstu na kody ASCII poszczeglnych znakw  
 disp('Liczba znakw (ze spacjami) w tekcie wynosi: ')
 dlugosc=size(string,2) % liczba znakw jest rwna rozmiarowi tablicy, w ktrej s przechowywane
 liczba_w=0;
 spacje=0;
 j=0; % zmienna pomocnicza, ktra zapobiega bdowi interpretacji dwch kolejnych spacji jako wyrazu
 for i=1:dlugosc
     if kody_ASCII(i)==32  % warto kodu ASCII spacji wynosi 32 
         if j>0          
             liczba_w=liczba_w+1;  % jeli wystpuje spacja to oznacza, e skoczy si kolejny wyraz
             j=0;
         end
         spacje=spacje+1;
     elseif (kody_ASCII(i)>96) & (kody_ASCII(i)<123) % jeli dany znak jest ma liter, to jest to pocztek nowego wyrazu
         j=1;
     elseif (kody_ASCII(i)>64) & (kody_ASCII(i)<91) % jeli dany znak jest du liter, to jest to rwnie pocztek nowego wyrazu
         j=1;
     end
 end 
 if j>0          
      liczba_w=liczba_w+1;  % warunek ten uwzgldnia ostatni wyraz po ktrym nie musi wystpowa spacja
 end
 % uzyskane wyniki s wypisywane w Command Window
 disp('Liczba wyrazw w tekcie wynosi: ')
 liczba_w
 disp('Liczba spacji w tekcie wynosi: ')
 spacje
 disp('Liczba znakw (bez spacji) w tekcie wynosi: ')
 dlugosc-spacje
 % Autor: K. Daszkiewicz